Upstream information

CVE-2017-6967 at MITRE

Description

xrdp 0.9.1 calls the PAM function auth_start_session() in an incorrect location, leading to PAM session modules not being properly initialized, with a potential consequence of incorrect configurations or elevation of privileges, aka a pam_limits.so bypass.

SUSE information

Overall state of this security issue: Running

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database SUSE
Base Score 7.5 4.9
Vector AV:N/AC:L/Au:N/C:P/I:P/A:P AV:N/AC:M/Au:S/C:P/I:P/A:N
Access Vector Network Network
Access Complexity Low Medium
Authentication None Single
Confidentiality Impact Partial Partial
Integrity Impact Partial Partial
Availability Impact Partial None
CVSS v3 Scores
  National Vulnerability Database
Base Score 7.3
Vector CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:L/A:L
Access Vector Network
Access Complexity Low
Privileges Required None
User Interaction None
Scope Unchanged
Confidentiality Impact Low
Integrity Impact Low
Availability Impact Low
CVSSv3 Version 3.1
SUSE Bugzilla entries: 1029912 [IN_PROGRESS], 442182 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Enterprise Storage 4
  • xrdp >= 0.9.0~git.1456906198.f422461-16.20.1
Patchnames:
SUSE-Storage-4-2019-1860
SUSE-Storage-4-2020-1943
SUSE Linux Enterprise Desktop 12 SP4
  • xrdp >= 0.9.0~git.1456906198.f422461-21.9.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP4-2019-1847
SUSE Linux Enterprise High Performance Computing 12 SP5
SUSE Linux Enterprise Server 12 SP5
  • xrdp >= 0.9.10-1.35
SUSE Linux Enterprise Module for Basesystem 15 SP2
  • libpainter0 >= 0.9.13-2.8
  • librfxencode0 >= 0.9.13-2.8
  • xrdp >= 0.9.13-2.8
  • xrdp-devel >= 0.9.13-2.8
SUSE Linux Enterprise Module for Basesystem 15 SP3
  • libpainter0 >= 0.9.13.1-4.9.1
  • librfxencode0 >= 0.9.13.1-4.9.1
  • xrdp >= 0.9.13.1-4.9.1
  • xrdp-devel >= 0.9.13.1-4.9.1
SUSE Linux Enterprise Module for Basesystem 15
SUSE Linux Enterprise Module for Basesystem 15 SP1
  • libpainter0 >= 0.9.6-2.17
  • librfxencode0 >= 0.9.6-2.17
  • xrdp >= 0.9.6-2.17
  • xrdp-devel >= 0.9.6-2.17
SUSE Linux Enterprise Point of Sale 12 SP2-CLIENT
  • xrdp >= 0.9.0~git.1456906198.f422461-16.20.1
Patchnames:
SUSE-SLE-POS-12-SP2-CLIENT-2020-1943
SUSE Linux Enterprise Server 12 SP2-BCL
  • xrdp >= 0.9.0~git.1456906198.f422461-16.20.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-BCL-2020-1943
SUSE Linux Enterprise Server 12 SP2-ESPOS
  • xrdp >= 0.9.0~git.1456906198.f422461-16.20.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-ESPOS-2020-1943
SUSE Linux Enterprise Server 12 SP2-LTSS
  • xrdp >= 0.9.0~git.1456906198.f422461-16.20.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2019-1860
SUSE-SLE-SERVER-12-SP2-2020-1943
SUSE Linux Enterprise Server 12 SP4
SUSE Linux Enterprise Server for SAP Applications 12 SP4
  • xrdp >= 0.9.0~git.1456906198.f422461-21.9.1
Patchnames:
SUSE-SLE-SERVER-12-SP4-2019-1847
SUSE Linux Enterprise Server for SAP Applications 12 SP2
  • xrdp >= 0.9.0~git.1456906198.f422461-16.20.1
Patchnames:
SUSE-SLE-SAP-12-SP2-2019-1860
SUSE-SLE-SAP-12-SP2-2020-1943
SUSE OpenStack Cloud 7
  • xrdp >= 0.9.0~git.1456906198.f422461-16.20.1
Patchnames:
SUSE-OpenStack-Cloud-7-2019-1860
SUSE-OpenStack-Cloud-7-2020-1943
openSUSE Tumbleweed
  • libpainter0 >= 0.9.15-2.2
  • librfxencode0 >= 0.9.15-2.2
  • xrdp >= 0.9.15-2.2
  • xrdp-devel >= 0.9.15-2.2
Patchnames:
openSUSE Tumbleweed GA libpainter0-0.9.15-2.2


First public cloud image revisions this CVE is fixed in:


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
HPE Helion OpenStack 8 xrdp In progress
SLES-LTSS-SAP xrdp Released
SUSE CaaS Platform 4.0 xrdp Already fixed
SUSE Enterprise Storage 6 xrdp Already fixed
SUSE Linux Enterprise Desktop 12 SP1 xrdp Affected
SUSE Linux Enterprise Desktop 12 SP2 xrdp Affected
SUSE Linux Enterprise Desktop 12 SP3 xrdp In progress
SUSE Linux Enterprise Desktop 12 SP4 xrdp Released
SUSE Linux Enterprise High Performance Computing 12 SP4 xrdp Released
SUSE Linux Enterprise High Performance Computing 12 SP5 xrdp Already fixed
SUSE Linux Enterprise High Performance Computing 15 LTSS xrdp Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP1 ESPOS xrdp Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP1 LTSS xrdp Already fixed
SUSE Linux Enterprise Module for Basesystem 15 SP2 xrdp Already fixed
SUSE Linux Enterprise Module for Basesystem 15 SP3 xrdp Already fixed
SUSE Linux Enterprise Point of Service Image Server 12 SP2 xrdp Released
SUSE Linux Enterprise Server 11 SP4 xrdp In progress
SUSE Linux Enterprise Server 11 SP4 LTSS xrdp In progress
SUSE Linux Enterprise Server 12 LTSS xrdp Unsupported
SUSE Linux Enterprise Server 12 SP1 xrdp Affected
SUSE Linux Enterprise Server 12 SP2 xrdp In progress
SUSE Linux Enterprise Server 12 SP2 ESPOS xrdp Released
SUSE Linux Enterprise Server 12 SP2 LTSS xrdp Released
SUSE Linux Enterprise Server 12 SP3 xrdp In progress
SUSE Linux Enterprise Server 12 SP3 ESPOS xrdp In progress
SUSE Linux Enterprise Server 12 SP3 LTSS xrdp In progress
SUSE Linux Enterprise Server 12 SP4 xrdp Released
SUSE Linux Enterprise Server 12 SP4 ESPOS xrdp In progress
SUSE Linux Enterprise Server 12 SP4 LTSS xrdp In progress
SUSE Linux Enterprise Server 12 SP5 xrdp Already fixed
SUSE Linux Enterprise Server 15 ESPOS xrdp Already fixed
SUSE Linux Enterprise Server 15 LTSS xrdp Already fixed
SUSE Linux Enterprise Server 15 SP1 LTSS xrdp Already fixed
SUSE Linux Enterprise Server BCL 12 SP2 xrdp Released
SUSE Linux Enterprise Server BCL 12 SP3 xrdp In progress
SUSE Linux Enterprise Server Business Critical Linux 15 SP1 xrdp Already fixed
SUSE Linux Enterprise Server for SAP Applications 12 SP2 xrdp Released
SUSE Linux Enterprise Server for SAP Applications 12 SP3 xrdp In progress
SUSE Linux Enterprise Server for SAP Applications 12 SP4 xrdp Released
SUSE Linux Enterprise Server for SAP Applications 12 SP5 xrdp Already fixed
SUSE Linux Enterprise Server for SAP Applications 15 xrdp Already fixed
SUSE Linux Enterprise Server for SAP Applications 15 SP1 xrdp Already fixed
SUSE Linux Enterprise Server for the Raspberry Pi 12 SP2 xrdp In progress
SUSE Manager Proxy 4.0 xrdp Already fixed
SUSE Manager Retail Branch Server 4.0 xrdp Already fixed
SUSE Manager Server 4.0 xrdp Already fixed
SUSE OpenStack Cloud 7 xrdp Released
SUSE OpenStack Cloud 8 xrdp In progress
SUSE OpenStack Cloud 9 xrdp In progress
SUSE OpenStack Cloud Crowbar 8 xrdp In progress
SUSE OpenStack Cloud Crowbar 9 xrdp In progress